Skip to content

Get SAML metadata

GET
/api/v1/auth/{provider}/metadata
curl --request GET \
--url http://127.0.0.1:8080/api/v1/auth/example/metadata

Available only when account authentication is enabled. Provider configuration is restart-bound. Local logout does not require an external provider. Responses must not be cached.

provider
required
string

SP metadata; entity ID and exact ACS URL.

Media typeapplication/samlmetadata+xml
string

Structured authentication boundary failure

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Structured authentication boundary failure

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Structured authentication boundary failure

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Structured authentication boundary failure

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Structured authentication boundary failure

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}